%define	snap	20131213
%define	rel 	3
Summary:	A set of CUPS printer drivers for SPL (Samsung Printer Language) printers
Summary(hu.UTF-8):	CUPS meghajtók sokasága SPL (Samsung Printer Language) nyomtatókhoz
Summary(pl.UTF-8):	Zestaw sterowników do drukarek obsługujących SPL (Samsung Printer Language)
Name:		cups-driver-splix
Version:	2.0.0
Release:	11.%{snap}.%{rel}
License:	GPL
Group:		Applications
# Source0:	http://downloads.sourceforge.net/splix/splix-%{version}.tar.bz2
Source0:	splix-%{snap}.tar.bz2
# Source0-md5:	a06d3da63f5dc5617ecff3e4de2cf88e
Source1:	http://splix.ap2c.org/samsung_cms.tar.bz2
# Source1-md5:	51bf60a93575eb392ed6ad5d43e00e36
URL:		http://splix.sourceforge.net/
BuildRequires:	cups-devel
BuildRequires:	jbigkit-devel
BuildRequires:	libstdc++-devel
Requires:	cups
Requires:	cups-clients
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_datadir	%(cups-config --datadir 2>/dev/null)
%define 	_libdir		%(cups-config --serverbin 2>/dev/null)
%define		_cupsppddir	%{_datadir}/model
%define 	_cupsfilterdir	%{_libdir}/filter
%define 	_cupsfontsdir	%{_datadir}/fonts
%define		_cupsprofilesdir	%{_datadir}/profiles

%description
Splix is a driver for printers that speak SPL (Samsung Printer
Language). This includes printers made by Samsung and several Xerox
printers.

%description -l hu.UTF-8
A splix meghajtókat tartalmaz SPL (Samsung Printer Language)
nyomtatókhoz. Ezek a Samsung által gyártott nyomtatók és még néhány a
Xerox termékei közül.

%description -l pl.UTF-8
Splix jest sterownikiem do drukarek obsługującym SPL (Samsung Printer
Language). Wspiera modele wyprodukowane przez Samsunga jak również
niektóre drukarki Xeroksa.

%package samsung
Summary:	Splix Samsung drivers to CUPS
Summary(hu.UTF-8):	Splix Samsung meghajtók CUPS-hoz
Summary(pl.UTF-8):	Splix sterownik Samsunga do CUPS
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description samsung
Splix Samsung drivers to CUPS

%description samsung -l hu.UTF-8
Splix Samsung meghajtók CUPS-hoz.

%description samsung -l pl.UTF-8
Splix sterownik Samsunga do CUPS

%package xerox
Summary:	Splix Xerox drivers to CUPS
Summary(hu.UTF-8):	Splix Xerox meghajtók CUPS-hoz
Summary(pl.UTF-8):	Splix sterownik Xeroksa do CUPS
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description xerox
Splix Xerox drivers to CUPS

%description xerox -l hu.UTF-8
Splix Xerox meghajtók CUPS-hoz.

%description xerox -l pl.UTF-8
Splix sterownik Xeroksa do CUPS

%package dell
Summary:	Splix Dell drivers to CUPS
Summary(hu.UTF-8):	Splix Dell meghajtók CUPS-hoz
Summary(pl.UTF-8):	Splix sterownik Della do CUPS
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description dell
Splix Dell drivers to CUPS

%description dell -l hu.UTF-8
Splix Dell meghajtók CUPS-hoz.

%description dell -l pl.UTF-8
Splix sterownik Della do CUPS

%package lexmark
Summary:	Splix Lexmark drivers to CUPS
Summary(hu.UTF-8):	Splix Lexmark meghajtók CUPS-hoz
Summary(pl.UTF-8):	Splix sterownik Lexmark do CUPS
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description lexmark
Splix Lexmark drivers to CUPS

%description dell -l hu.UTF-8
Splix Lexmark meghajtók CUPS-hoz.

%description dell -l pl.UTF-8
Splix sterownik Lexmark do CUPS

%package toshiba
Summary:	Splix Toshiba drivers to CUPS
Summary(hu.UTF-8):	Splix Toshiba meghajtók CUPS-hoz
Summary(pl.UTF-8):	Splix sterownik Toshiba do CUPS
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description toshiba
Splix Toshiba drivers to CUPS

%description toshiba -l hu.UTF-8
Splix Toshiba meghajtók CUPS-hoz.

%description toshiba -l pl.UTF-8
Splix sterownik Toshiba do CUPS

%prep
%setup -q -n splix -a1

%build
%{__make} \
	CXX="%{__cxx}" \
	OPTCXXFLAGS="%{rpmcxxflags}" \
	OPTLDFLAGS="%{rpmldflags} %{rpmcxxflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_cupsprofilesdir}/samsung

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	CUPSFILTER=%{_cupsfilterdir}

cp -a cms/* $RPM_BUILD_ROOT%{_cupsprofilesdir}/samsung


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL README THANKS TODO
%attr(755,root,root) %{_cupsfilterdir}/rastertoqpdl
%attr(755,root,root) %{_cupsfilterdir}/pstoqpdl

%files samsung
%defattr(644,root,root,755)
%{_cupsppddir}/samsung
%dir %{_cupsprofilesdir}
%{_cupsprofilesdir}/samsung

%files xerox
%defattr(644,root,root,755)
%{_cupsppddir}/xerox

%files dell
%defattr(644,root,root,755)
%{_cupsppddir}/dell

%files lexmark
%defattr(644,root,root,755)
%{_cupsppddir}/lexmark

%files toshiba
%defattr(644,root,root,755)
%{_cupsppddir}/toshiba
%changelog
* Wed Feb 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cups-driver-splix.git;a=log;h=master

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 57a570f
- Release 3 (by relup.sh)

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f677425
- rel 2

* Fri Dec 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e173353
- up to snap 20131213

* Thu Oct 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9977ac1
- rel .3; package color profiles for samsung

* Thu Oct 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c1c162
- rel .2; install all ppds

* Thu Oct 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 050ec0b
- up to 20121025 snap (many changes in svn while no proper release)

* Wed Aug 03 2011 Jan Rękorajski <baggins@pld-linux.org> 00e5856
- release 10

* Tue Jun 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c5e174a
- rel 9; enable jbigkit

* Tue Jun 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> eb1cb0f
- rel 8; include samsung color profiles

* Fri May 28 2010 Zsolt Udvari <uzsolt@pld-linux.org> 9504183
- initial

* Fri May 28 2010 Zsolt Udvari <uzsolt@pld-linux.org> e0dd388
- gcc45.patch

* Fri May 28 2010 Zsolt Udvari <uzsolt@pld-linux.org> 7b3a252
- rel 7

* Mon Apr 12 2010 Jan Rękorajski <baggins@pld-linux.org> 0a41f67
- rel 6

* Sun Apr 11 2010 Zsolt Udvari <uzsolt@pld-linux.org> 776b3c1
- rel up (openssl update)

* Mon Dec 14 2009 Jan Rękorajski <baggins@pld-linux.org> 67138a3
- rel 4

* Wed Dec 09 2009 Jan Rękorajski <baggins@pld-linux.org> 74b2321
- rel 3

* Mon Jul 06 2009 Jan Rękorajski <baggins@pld-linux.org> 73f1d05
- rel 2

* Mon Jun 29 2009 qwiat <qwiat@pld-linux.org> 0892123
- missing BR

* Fri May 01 2009 Zsolt Udvari <uzsolt@pld-linux.org> 17df247
- hungarizing

* Fri May 01 2009 Zsolt Udvari <uzsolt@pld-linux.org> 75e1eae
- rel 1 (works for me, with a Samsung ML-2010 printer)

